<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

  xmlns:HTML="http://www.w3.org/Profiles/XHTML-transitional" version='1.0'>

<xsl:output  method="html"/>

	

<xsl:include href="../../apt/core/controls.xslt"/>



<xsl:template match="/">

	<table border='0' cellspacing='0' cellpadding='0' class='sourceCodeRoot'>

		<tr valign='top'><td style="width:1.5em"><div tabIndex='-1' class='sourceCodeLeftBar' onclick='sourceLineEvent()'>

					<xsl:for-each select='*//br'>

						<span line="{position()}"><br/></span>

					</xsl:for-each><span line='*'><br/></span><br/><br/><br/>

				</div>

			</td>

			<td style="width:100%;height:100%">

				<div class='sourceCode' id='sourceRoot' CONTENTEDITABLE='true' noWrap='true'>

					<xsl:apply-templates/>

				</div>

				<div class='valueTooltip'>Test</div>

			</td>

	</tr></table>



	<!-- <xsl:call-template name='comboBoxSelect'>

		<xsl:with-param name='id' select='"functionList"'/>

	</xsl:call-template>-->

</xsl:template>



<xsl:template name='comboBoxOptionsBak'>

	<xsl:param name='id'/>

	<xsl:param name='selected'/>		<!-- Selected option value -->

	<xsl:variable name='selectedName' select='substring-before($selected, "=")'/>

	<xsl:variable name='selectedValue' select='substring-after($selected, "=")'/>



	<xsl:if test='$id = "functionList" or $id = "functions"'>

		<option>Global Code</option>

		<xsl:for-each select='*//fn'>

			<xsl:sort select='m/f[1]/@n' case-order='lower-first'/>

			<xsl:variable name='functionName' select='m/f[1]/@n'/>

			<option value='{m[1]/@id}'>

				<xsl:if test='($selectedName = "text" and $selectedValue = $functionName) or ($selectedName = "value" and $selectedValue = m[1]/@id)'>

					<xsl:attribute name='selected'>1</xsl:attribute>

				</xsl:if>

				<xsl:value-of select='$functionName'/>

			</option>

		</xsl:for-each>

	</xsl:if>

</xsl:template>



<xsl:template match='@*|node()'><xsl:copy><xsl:apply-templates select="@* | node()"/></xsl:copy></xsl:template>

<xsl:template match="syntax">

<xsl:apply-templates/>

</xsl:template>



<xsl:template match="t"><span class='tag'><xsl:apply-templates/></span></xsl:template> <!-- tag -->

<xsl:template match="u"><xsl:apply-templates/></xsl:template> <!-- tag -->

<xsl:template match="y"><span class='symbol'><xsl:apply-templates/></span></xsl:template><!-- symbol -->

<xsl:template match="a"><span class='attribute'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="v"><span class='attributeValue'><xsl:apply-templates/></span></xsl:template>

<!-- <xsl:template match="t"><span class='text'><xsl:apply-templates/></span></xsl:template> -->

<xsl:template match="hc"><span class='comment'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="hd"><span class='cdata'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="c"><span class='scriptComment'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="b"><span class="scriptBrace"><xsl:apply-templates/></span></xsl:template>

<xsl:template match="s"><span class='scriptQuote'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="o"><span class='scriptOperator'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="n"><span class="scriptNumber"><xsl:apply-templates/></span></xsl:template>

<xsl:template match="h"><span class="scriptHex"><xsl:apply-templates/></span></xsl:template>

<xsl:template match="r"><span class="scriptRegexp"><xsl:apply-templates/></span></xsl:template>

<xsl:template match="k"><span class='scriptKeyword'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="p"><span class="scriptSeperator"><xsl:apply-templates/></span></xsl:template>

<xsl:template match="tab"><span class='tab'>&#160;&#160;&#160;</span></xsl:template>

<!-- <xsl:template match="tab"><span class='tab' style='width:32px'>&#160;</span></xsl:template> -->

<!-- <xsl:template match="tab"><span style='span-size:0.5em;line-height;2em'><pre style='display:inline;' class='tab'>&#9;</pre></span></xsl:template> -->

<xsl:template match="m"><span stmtid='stmt_{@id}' id='stmtid_{@id}'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="i"><span class='scriptIdentifier'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="f"><span class='scriptfunction'><xsl:apply-templates/></span></xsl:template>

<xsl:template match="br">

<br/>

</xsl:template>

<xsl:template match="fn"><span fn='{m[1]/@id}'><xsl:apply-templates/></span></xsl:template>



<xsl:template match='cache[@statId]'>

	<option value='{@statId}'><xsl:value-of select='@name'/></option>

</xsl:template>



<xsl:template match='/cache/cache'>

	<xsl:call-template name='comboBoxSelect'>

		 <xsl:with-param name='id' select='"functionList"'/>

	</xsl:call-template>

</xsl:template>



<xsl:template name='comboBoxOptions'>

	<option>Global Code</option>

	<xsl:apply-templates>

		<xsl:sort select='@name'/>

	</xsl:apply-templates>

</xsl:template>



</xsl:stylesheet>